org.wso2.extension.siddhi.execution.ml.samoa.utils.classification

## Class StreamingClassification

- java.lang.Object
- - org.wso2.extension.siddhi.execution.ml.samoa.utils.StreamingProcess
  - - org.wso2.extension.siddhi.execution.ml.samoa.utils.classification.StreamingClassification

- All Implemented Interfaces:
    Runnable

      public class StreamingClassification
      extends StreamingProcess

  Streaming Classification

- - ### Field Summary

    - ### Fields inherited from class org.wso2.extension.siddhi.execution.ml.samoa.utils.StreamingProcess

      `cepEvents, processTaskBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamingClassification(int maxEvents, int interval, int classes, int parameterCount, int nominals, String nominalAttributesValues, int parallelism, int bagging)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object[]` | `getOutput()`

    - ### Methods inherited from class org.wso2.extension.siddhi.execution.ml.samoa.utils.StreamingProcess

      `addEvents, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamingClassification

          public StreamingClassification(int maxEvents,
                                         int interval,
                                         int classes,
                                         int parameterCount,
                                         int nominals,
                                         String nominalAttributesValues,
                                         int parallelism,
                                         int bagging)

  - ### Method Detail

    - #### getOutput

          public Object[] getOutput()

      Specified by:
        `getOutput` in class `StreamingProcess`

Copyright © 2017 WSO2. All rights reserved.